#
# spec file for package python-Flask-Migrate
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python3-Flask-Migrate
Version:        2.4.0
Release:        150400.14.69
Summary:        SQLAlchemy database migrations for Flask applications using Alembic
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/miguelgrinberg/flask-migrate/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Migrate/Flask-Migrate-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#miguelgrinberg/Flask-Migrate#290
Patch0:         use-sys-executable-for-tests.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python3-Flask >= 0.9
Requires:       python3-Flask-SQLAlchemy >= 1.0
Requires:       python3-Flask-Script >= 0.6
Requires:       python3-alembic >= 0.7
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Flask >= 0.9}
BuildRequires:  %{python_module Flask-SQLAlchemy >= 1.0}
BuildRequires:  %{python_module Flask-Script >= 0.6}
BuildRequires:  %{python_module alembic >= 0.7}
%endif
%python_subpackages

%description
Flask-Migrate is an extension that handles SQLAlchemy database migrations
for Flask applications using Alembic. The database operations are provided
as command line arguments for Flask-Script.

%prep
%setup -q -n Flask-Migrate-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
export LC_CTYPE=en_US.UTF-8
%python_exec setup.py test
%endif

%files %{python_files}
%doc README.md
%license LICENSE
%dir %{python_sitelib}/flask_migrate
%{python_sitelib}/flask_migrate/*
%{python_sitelib}/Flask_Migrate-%{version}-py*.egg-info

%changelog
* Tue Apr  5 2022 steven.kowalik@suse.com
- Add patch use-sys-executable-for-tests.patch:
  - Fix build failure by using sys.executable (bsc#1197824)
* Sat Feb 16 2019 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.4.0:
  * Refreshed the env.py files from the Alembic project (#216)
* Sat Dec  1 2018 arun@gmx.de
- specfile:
  * be more specific in %%files section
- update to version 2.3.1:
  * Don't silence transaction errors from SQLAlchemy (#236)
* Wed Oct 24 2018 alarrosa@suse.com
- Update to version 2.3.0
  * Use the root logger for alembic error messages
  * Add indicate-current option into history command
* Tue Aug 21 2018 alarrosa@suse.com
- Initial release of python-Flask-Migrate-2.2.1
